CVE-2024-24939

CVSS 3.1 Score 3.3 of 10 (low)

Details

Published Feb 6, 2024
Updated: Feb 9, 2024
CWE ID 532

Summary

CVE-2024-24939 is a vulnerability found in JetBrains Rider before version 2023.3.3, where logging of environment variables containing secret values was possible. This vulnerability affects multiple products, including bfzatL, bfzatK, and bfzatJ. To remediate this issue, organizations are advised to update their JetBrains Rider software to version 2023.3.3 or later. The potential danger posed by this vulnerability is relatively low, with a base severity of LOW and a base score of 3.3 out of 10. However, it still exposes confidential information through log files and could potentially be exploited locally by an attacker with low privileges.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-24939 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options